import { Component, Vue } from 'vue-property-decorator'
import VueClipboard from 'vue-clipboard2'
import Mocks from '@/components/mocks/main.vue'
import PersonTab from '@/components/person-tab/main.vue'
import MocksTab from '@/components/mocks-tab/main.vue'
import EmberTab from '@/components/ember-tab/main.vue'
import UserTab from '@/components/user-tab/main.vue'

Vue.use(VueClipboard)

@Component({
  components: {
    Mocks,
    PersonTab,
    MocksTab,
    EmberTab,
    UserTab
  }
})
export default class HelloWorld extends Vue {
  tab = 'person'

  isPlugin (): boolean {
    console.log(chrome)
    return !!chrome.tabs
  }
}
